type Listener = (...args: any[]) => void;
type EventName = string | symbol;
type Options = {
    once?: boolean;
    scope?: string;
};
declare function subscribe(key: EventName, listener: Listener, options?: Options): () => void;
declare function dispatch(key: EventName, ...args: any[]): void;
declare function clear(key?: EventName): void;
declare function setScope(scope: string): void;
declare function getScope(): string;
declare function resetScope(): void;
declare const _default: {
    subscribe: typeof subscribe;
    dispatch: typeof dispatch;
    setScope: typeof setScope;
    getScope: typeof getScope;
    resetScope: typeof resetScope;
    clear: typeof clear;
};
export default _default;
